PYSIDE6-QMLTYPEREGISTRAR(1)

NAME
pyside6-qmltyperegistrar - qmltyperegistrar

SYNOPSIS
qmltyperegistrar [options] [MOC generated json file]

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

-o <file>
    Write output to specified file.

--private-includes
    Include headers ending in "_p.h" using "#include <private/foo_p.h>"rather than "#include <foo_p.h>".

--import-name <module name>
    Name of the module to use for type and module registrations.

--past-major-version <past major version>
    Past major version to use for type and module registrations.

--major-version <major version>
    Major version to use for type and module registrations.

--minor-version <minor version>
    Minor version to use for module registration.

--namespace <namespace>
    Generate type registration functions into a C++ namespace.

--generate-qmltypes <qmltypes file>
    Generate qmltypes into specified file.

--foreign-types <foreign types>
    Comma separated list of other modules' metatypes files to consult for foreign types when generating qmltypes file.

--follow-foreign-versioning
    If this option is set the versioning scheme of foreign base classes will be respected instead of ignored. Mostly useful for modules who want to follow Qt's versioning scheme.

--jsroot
    Use the JavaScript root object's meta types as sole input and do not generate any C++ output. Only useful in combination with --generate-qmltypes

--extract
    Extract QML types from a module and use QML_FOREIGN to register them

  Arguments:

[MOC generated json file]
    MOC generated json output.